Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591947 - Review Request: maven-jar-plugin - Maven JAR Plugin
Summary: Review Request: maven-jar-plugin - Maven JAR Plugin
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 14:32 UTC by Alexander Kurtakov
Modified: 2010-05-18 20:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-18 20:45:36 UTC
jjohnstn: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Alexander Kurtakov 2010-05-13 14:32:12 UTC
Spec URL: http://akurtakov.fedorapeople.org/maven-jar-plugin.spec
SRPM URL: http://akurtakov.fedorapeople.org/maven-jar-plugin-2.3-1.fc13.src.rpm
Description: Builds a Java Archive (JAR) file from the compiled 
project classes and resources.

Comment 1 Alexander Kurtakov 2010-05-13 14:42:02 UTC
Notes about this package:
- It requires maven-plugin-testing in the dist-f14-maven221 tag.

Comment 2 Chen Lei 2010-05-14 05:46:11 UTC
Hi Alexander, 

I found that many -javadoc packages don't create a symbolic link from %{_javadocdir}/%{name}-%{version} to %{_javadocdir}/%{name}. Java package guideline also don't mention that, are they all need fixing?

Comment 3 Alexander Kurtakov 2010-05-14 05:59:19 UTC
(In reply to comment #2)
> Hi Alexander, 
> 
> I found that many -javadoc packages don't create a symbolic link from
> %{_javadocdir}/%{name}-%{version} to %{_javadocdir}/%{name}. Java package
> guideline also don't mention that, are they all need fixing?    

Having unversioned javadoc directory is good to have for some commonly used packages like apache-commons-io (a number of developers should be using this javadocs). But there is no point having things like that for packages like the maven-jar-plugin. Virtually noone except a few maven developers will be reading that so we are not causing any inconvenience.

For me this should be up to the packager.

Comment 4 Alexander Kurtakov 2010-05-14 13:54:31 UTC
Successful koji build in dist-f14-maven221 tag:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2187891

Comment 5 Jeff Johnston 2010-05-14 20:54:08 UTC
I have seen the following rpmlint warnings on previous reviews of similar plugins and know they are ignorable.  Source0 tarball origin is explained and non-conffile warning is extraneous.

results of rpmlint:

bash $ rpmlint maven-jar-plugin.spec
maven-jar-plugin.spec: W: invalid-url Source0: maven-jar-plugin-2.3.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

bash $ rpmlint maven-jar-plugin-2.3-1.fc14.noarch.rpm
maven-jar-plugin.noarch: W: no-documentation
maven-jar-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-jar-plugin
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

bash $ rpmlint maven-jar-plugin-javadoc-2.3-1.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Package approved.

Comment 6 Alexander Kurtakov 2010-05-14 21:00:54 UTC
New Package CVS Request
=======================
Package Name: maven-jar-plugin
Short Description: Maven JAR Plugin
Owners: akurtakov
Branches: 
InitialCC:

Comment 7 Chen Lei 2010-05-15 08:51:34 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Hi Alexander, 
> > 
> > I found that many -javadoc packages don't create a symbolic link from
> > %{_javadocdir}/%{name}-%{version} to %{_javadocdir}/%{name}. Java package
> > guideline also don't mention that, are they all need fixing?    
> Having unversioned javadoc directory is good to have for some commonly used
> packages like apache-commons-io (a number of developers should be using this
> javadocs). But there is no point having things like that for packages like the
> maven-jar-plugin. Virtually noone except a few maven developers will be reading
> that so we are not causing any inconvenience.
> For me this should be up to the packager.    

Thanks for clarification, so now we have three places for -javadoc subpackage? 
1.
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

2.
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

e.g. ant
3.
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

e.g.jgrapht and Specfile Template in guideline
http://fedoraproject.org/wiki/Packaging:Java


Will it be better to simply install all javadoc to  %{_javadocdir}/%{name} as the java packaging guideline?


There's  also a talk in KDE-SIG meeting about which place is better for html documentions recently.

See http://meetbot.fedoraproject.org/fedora-meeting/2010-05-11/kde-sig.2010-05-11-14.02.log.html

Comment 8 Dennis Gilmore 2010-05-18 18:28:55 UTC
CVS Done

Comment 9 Alexander Kurtakov 2010-05-18 20:45:36 UTC
Build in koji.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2194999


Note You need to log in before you can comment on or make changes to this bug.